VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmEditGrid 
   Caption         =   "Grid Editing "
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      BorderStyle     =   0  'None
      Height          =   330
      Left            =   1785
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   2130
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Copy To Clipboard"
      Height          =   375
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   1485
   End
   Begin MSFlexGridLib.MSFlexGrid grid 
      Height          =   1515
      Left            =   -15
      TabIndex        =   0
      Top             =   375
      Width           =   4260
      _ExtentX        =   7514
      _ExtentY        =   2672
      _Version        =   393216
   End
End
Attribute VB_Name = "frmEditGrid"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' ALARGE SOFTWARE
' SCIENTIFIC PRESENTATIONS..
' Atakan Devrim Pakkan
' depakkan@superonline.com
' tazzik@mail.usa.com


' thanks to Alexander Stojakovic



Option Explicit

Dim firstrow, firstcol As Integer  ' selection started from ...

Private Sub Command1_Click()
'
' NB. Chris Eastwood 1999
'
' If you just want a straightforward copy into the clipboard of the
' selected cells without VBCRLF (using VBCR instead), you can simply
' use :
'
' Clipboard.Clear
' Clipboard.SetText grid.Clip
'
' To Directly copy all selected cells into the clipboard
'

    Dim i As Integer, maxi As Integer, j As Long, maxj As Long
    Dim strBuffer As String

    strBuffer = ""
    Clipboard.Clear

    maxj = grid.RowSel
    maxi = grid.ColSel
'
' Use Below Code for Standard Grid.OCX Grid
'
'    For j = firstrow To maxj
'        grid.Row = j
'        For i = firstcol To maxi
'            grid.Col = i
'            If i = maxi Then
'                strBuffer = strBuffer & grid.Text & vbCrLf
'            Else
'                strBuffer = strBuffer & grid.Text & Chr(9)
'            End If
'        Next
'    Next
'
' Use Below Code for MSFlexGrid
'
    For j = firstrow To maxj
        For i = firstcol To maxi
            If i = maxi Then
                strBuffer = strBuffer & grid.TextMatrix(j, i) & vbCrLf
            Else
                strBuffer = strBuffer & grid.TextMatrix(j, i) & vbTab
            End If
        Next
    Next
    
    Clipboard.SetText strBuffer
    
    
    MsgBox "Data copied to clipboard !!!"


End Sub

Private Sub Form_Load()
    Dim lCount As Long
    
    Text1.Visible = False

    grid.Rows = 20
    grid.Cols = 4
    grid.FixedCols = 0
    
    For lCount = 1 To 19
        grid.TextMatrix(lCount, 0) = "Col0"
        grid.TextMatrix(lCount, 1) = "Col1"
        grid.TextMatrix(lCount, 2) = "Col2"
        grid.TextMatrix(lCount, 3) = "Col3"
    Next
    
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    
    grid.Move ScaleLeft, Command1.Height, ScaleWidth, ScaleHeight - (Command1.Top + Command1.Height)
    
    
End Sub

Private Sub grid_DblClick()
    Text1.Visible = True
    Text1.Width = grid.CellWidth
    Text1.Height = grid.CellHeight
    Text1.Top = grid.CellTop + grid.Top
    Text1.Left = grid.CellLeft + grid.Left
    Text1.Text = grid.Text
    Text1.SelStart = 0
    Text1.SelLength = Len(Text1.Text)
    Text1.ZOrder
    Text1.SetFocus
    
End Sub

Private Sub grid_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeyReturn Then
        Call grid_DblClick
    End If
    If KeyCode = vbKeyDelete Then
        grid.Text = ""
    End If
    
End Sub

Private Sub grid_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    firstcol = grid.Col
    firstrow = grid.Row

End Sub

Private Sub Text1_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeyReturn Then
        grid.Text = Text1.Text
        If grid.Row = grid.Rows - 1 Then
            grid.Row = grid.Row
        Else
            grid.Row = grid.Row + 1
        End If
        grid.SetFocus
        Text1.Visible = False
    End If
End Sub

Private Sub Text1_LostFocus()
    Text1.Visible = False
End Sub
